Bug 122706 - fatal error says run gdb on /build/dir/path/xemacs not /usr/bin/xemacs
Summary: fatal error says run gdb on /build/dir/path/xemacs not /usr/bin/xemacs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-07 08:23 UTC by Jens Petersen
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 21.4.15-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-30 10:15:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2004-05-07 08:23:20 UTC
Description of problem:
Jakub pointed out that for a fatal error when xemacs gives up it
says for example:

type

  gdb /usr/src/build/307042-ia64/BUILD/xemacs-21.4.13/src/xemacs core

then type `where' at the debugger prompt.

It should say

  gdb /usr/bin/xemacs core

Comment 1 Ville Skyttä 2005-04-30 10:15:25 UTC
I'm sending various signals to XEmacs from a gdb session, and it always says

    gdb /usr/bin/xemacs core

This is with 21.4.15-9 from FC3 and 21.4.17-2 from Extras devel.  Probably fixed
somewhere after 21.4.13 then.


Note You need to log in before you can comment on or make changes to this bug.